# $Revision: 1.44 $, $Date: 2003/11/09 23:45:17 $
Summary:	Configuration file library
Summary(pl):	Biblioteka plikw konfiguracyjnych
Summary(de):	Library zum Lesen von Konfigurationsdateien
Name:		conflib
Version:	0.4.5
Release:	7
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.ohse.de/uwe/releases/%{name}-%{version}.tar.gz
# Source0-md5:	301f140d0fbd0b5a225419c101c4c9d1
Patch0:		%{name}-info.patch
Patch1:		%{name}-cl_build_stanza_array-fix.patch
Patch2:		%{name}-ac25x.patch
Patch3:		%{name}-locale.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C language library for reading configuration files.

%description -l pl
Biblioteka C suca do odczytywania plikw konfiguracyjnych.

%package devel
Summary:	Files for developing programs that use the conflib library
Summary(pl):	Pliki do tworzenia programw wykorzystujcych bibliotek conflib
Summary(de):	Dateien zum Entwickeln von Programmen mit der conflib-Library
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This library makes it relativly easy to read configuration files (one
or more), or parts of them. It supports a lot of different data types
and some types of text interpretations, including \-escapes, ~user,
$HOME and conditional expansions.

%description devel -l pl
Ta biblioteka pozwala na stosunkowo proste czytanie plikw
konfiguracyjnych lub ich czci. Wspiera wiele rnych typw danych
oraz niektre typy interpretacji tekstu, np. \-escapes, ~user, $HOME
oraz warunkowe rozwijanie.

%package static
Summary:	Files for developing programs that use the conflib library
Summary(pl):	Statyczne pliki do tworzenia programw wykorzystujcych bibliotek conflib
Summary(de):	Dateien zum Entwickeln von Programmen mit der conflib-Library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This library makes it relativly easy to read configuration files (one
or more), or parts of them. It supports a lot of different data types
and some types of text interpretations, including \-escapes, ~user,
$HOME and conditional expansions.

%description static -l pl
Ta biblioteka pozwala na stosunkowo proste czytanie plikw
konfiguracyjnych lub ich czci. Wspiera wiele rnych typw danych
oraz niektre typy interpretacji tekstu, np. \-escapes, ~user, $HOME
oraz warunkowe rozwijanie. Ten pakiet zawiera pliki statyczne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_infodir}/*info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conflib.spec,v $
Revision 1.44  2003/11/09 23:45:17  qboosh
- fixed broken ac25x patch, cleanups/unifications, release 7

Revision 1.42  2003/07/07 04:23:52  blues
- many small fixes, inspired by kloczek

Revision 1.41  2003/05/26 16:24:49  malekith
- massive attack: adding Source-md5

Revision 1.40  2003/05/25 05:46:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.38  2002/10/10 12:44:44  marcus
- use new %%doc

Revision 1.37  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.36  2002/07/26 11:31:15  malekith
- added locale patch needed to make otak speak polish
- more ac25x fixes (for 2.53 I guess)
- rel 6

Revision 1.35  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.34  2002/05/21 23:12:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/04/25 16:06:18  arturs
fixed a small typo

Revision 1.32  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.31  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/09/26 09:37:49  qboosh
- BuildRequires: autoconf, automake, libtool (is %%configure2_13 really needed?)

Revision 1.27  2001/08/10 13:19:59  kloczek
- added ac25x patch and regenerate all ac/am/lt files (spec is now ac
  2.5x ready),
- spec adapterized.

Revision 1.26  2001/08/09 17:39:58  blues
- %configure2_13
- some translations

Revision 1.25  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/27 18:13:30  kloczek
- relase 5.

Revision 1.22  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.21  2000/07/25 09:17:12  mis
- added bugfix patch

Revision 1.20  2000/06/18 22:34:02  kloczek
- release 3.

Revision 1.19  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.16  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.15  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 11:10:59  arturs
typo

Revision 1.11  2000/03/27 12:48:04  arturs
- added %description -l pl

Revision 1.10  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.9  1999/09/19 09:05:39  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.8  1999/09/06 00:19:57  kloczek
- fix: {un} registering info pages moved to devel.

Revision 1.7  1999/09/06 00:02:21  kloczek
- more rpm macroc,
- added info patch,
- info pages moved to devel,
- added lib*.la files to devel,
- permission changed to 755 on lib*.so,
- standarized {un}registering info pages.

Revision 1.6  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/15 17:36:55  baggins
- added sttic subpackage

Revision 1.4  1999/07/15 17:21:42  baggins
- macros
- gziping docs
- cleanup

Revision 1.3  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
